<?php
/**
* Supported Games and Protocols for Net_GameServerQuery
*/


// Games
$games = array (
	'aa'			=> array (
		'protocol'		=> 'gamespy',
		'name'			=> 'Americas Army'
		),
	'halflife'		=> array (
		'protocol'		=> 'halflife',
		'name'			=> 'Half-Life'
		),
	'q3'			=> array (
		'protocol'		=> 'quake3',
		'name'			=> 'Quake3'
		),
	'cod'			=> array (
		'protocol'		=> 'quake3',
		'name'			=> 'Call of Duty'
		),
	'rtcw'			=> array (
		'protocol'		=> 'quake3',
		'name'			=> 'Return to Castle Wolfenstien'
		),
	'et'			=> array (
		'protocol'		=> 'quake3',
		'name'			=> 'Wolfenstien: Enemy Territory'
		),
	'sof2'			=> array (
		'protocol'		=> 'quake3',
		'name'			=> 'Soldier of Fortune 2'
		),
	'jk2'			=> array (
		'protocol'		=> 'quake3',
		'name'			=> 'JediKnight II'
		),
	'ja'			=> array (
		'protocol'		=> 'quake3',
		'name'			=> 'Jedi Academy'
		),
	'q2'			=> array (
		'protocol'		=> 'quake2',
		'name'			=> 'Quake2'
		),
	'ut'			=> array (
		'protocol'		=> 'gamespy',
		'name'			=> 'Unreal Tournament'
		),
	'ut2k3'			=> array (
		'protocol'		=> 'gamespy',
		'name'			=> 'Unreal Tournament 2003'
		),
	'ut2k4'			=> array (
		'protocol'		=> 'gamespy',
		'name'			=> 'Unreal Tournament 2004'
		),
	'mohaa'			=> array (
		'protocol'		=> 'gamespy',
		'name'			=> 'Medal of Honour: Allied Assault'
		),
	'bf1942'		=> array (
		'protocol'		=> 'bf1942',
		'name'			=> 'Battle Field 1942'
		)
);


// Protocols
$protocols = array (
	'halflife'	=> array (
						'packet'	=> chr(255) . chr(255) . chr(255) . chr(255) . "infostring" . chr(0),
						'delim'		=> chr(0),
						'keys'		=> array ('max', 'players', 'map', 'hostname')
					),
	'quake3'	=> array (
						'packet'	=> chr(255) . chr(255) . chr(255) . chr(255) . "getstatus" . chr(0),
						'delim'		=> "\n",
						'keys'		=> array ('sv_maxclients', null, 'mapname', 'sv_hostname')
					),
	'quake2'	=> array (
						'packet'	=> chr(255) . chr(255) . chr(255) . chr(255) . "status" . chr(0),
						'delim'		=> "\n",
						'keys'		=> array ('maxclients', null, 'mapname', 'hostname')
					),
	'gamespy'	=> array (
						'packet'	=> "\\status\\",
						'delim'		=> null,
						'keys'		=> array ('maxplayers', 'numplayers', 'mapname', 'hostname')
					),
	'bf1942'	=> array (
						'packet'	=> "\\info\\",
						'delim'		=> null,
						'keys'		=> array ('maxplayers', 'numplayers', 'mapname', 'hostname')
					)
);
?>